import { BaseTableStore } from "./baseTable";
import { MySalaryStore } from "./mySalary";
import { TaxAgentStore } from "./taxAgent";
import { BaseFormStore } from "./baseForm";
import { taxRateStore } from "./taxRate";
import { CumDeductStore } from "./cumDeduct";
import { OtherDeductStore } from "./otherDeduct";
import { CumSituationStore } from "./cumSituation";
import { ProgrammeStore } from "./programme";
import { AttendanceStore } from "./attendanceStore";
import { SalaryItemStore } from "./salaryItem";
import { LedgerStore } from "./ledger";
import { ArchivesStore } from "./archives";
import { salaryFileStore } from "./salaryFile";
import { payrollStore } from "./payroll";
import { calculateStore } from "./calculate";
import { DeclareStore } from "./declare";
import { StandingBookStore } from "./StandingBook";
import { PayrollFilesStore } from "./payrollFiles";
import { SpecialAddStore } from "./specialAdd";
import { ExternalPersonManageStore } from "./externalPersonManage";
import CustomModule from "./custom-stores";

module.exports = {
  baseFormStore: new BaseFormStore(),
  baseTableStore: new BaseTableStore(),
  mySalaryStore: new MySalaryStore(),
  taxAgentStore: new TaxAgentStore(),
  taxRateStore: new taxRateStore(),
  cumDeductStore: new CumDeductStore(),
  otherDeductStore: new OtherDeductStore(),
  cumSituationStore: new CumSituationStore(),
  programmeStore: new ProgrammeStore(),
  attendanceStore: new AttendanceStore(),
  salaryItemStore: new SalaryItemStore(),
  ledgerStore: new LedgerStore(),
  archivesStore: new ArchivesStore(),
  salaryFileStore: new salaryFileStore(),
  payrollStore: new payrollStore(),
  calculateStore: new calculateStore(),
  declareStore: new DeclareStore(),
  standingBookStore: new StandingBookStore(),
  payrollFilesStore: new PayrollFilesStore(),
  specialAddStore: new SpecialAddStore(),
  externalPersonManageStore: new ExternalPersonManageStore(),
  ...CustomModule
};
